gtksourceview5 (5.16.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Replace B-D on libgirepository1.0-dev with
    gobject-introspection
  * d/libgtksourceview-5-doc.links: Make API reference more discoverable
  * Override Lintian tags for BuilderBlocks.ttf.
    It is not a general-purpose font: it displays every non-whitespace
    character as a small block, and is intended for providing an overview
    of source code when zoomed out far enough that individual letters
    would be unreadable.
  * d/rules: Don't run dh_gnome.
    We don't use any of its functionality. Continue to use
    dh-sequence-gnome, which does nothing in Debian but has an effect
    in Ubuntu (it runs dh_scour and dh_translations).
  * d/control, d/rules: Don't run gi-docgen if not building -doc package.
    We don't need this on the non-`Architecture: all` buildds.
  * d/rules: Don't make installed-tests' data files executable
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Sep 2025 10:52:19 +0100

gtksourceview5 (5.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 09:07:12 -0400

gtksourceview5 (5.15.1-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 14:47:06 -0500

gtksourceview5 (5.15.0-3) unstable; urgency=medium

  * debian/libgtksourceview-5-0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 16:49:19 -0500

gtksourceview5 (5.15.0-2) unstable; urgency=medium

  * Remove patch that reverted GTK4 4.17 use
  * Bump minimum GTK4
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 15:36:28 -0500

gtksourceview5 (5.15.0-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to fix build tests
  * Add patch to revert a change that requires gtk 4.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 17:53:42 -0500

gtksourceview5 (5.14.2-1) unstable; urgency=medium

  * New upstream release
  * Add Provides: ${gir:Provides} to -dev package
  * Remove obsolete Breaks/Replaces
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 09:28:33 -0500

gtksourceview5 (5.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 14:59:39 -0400

gtksourceview5 (5.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:21:11 -0400

gtksourceview5 (5.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 19:00:55 -0400

gtksourceview5 (5.12.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 06:35:57 -0400

gtksourceview5 (5.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 13:44:29 -0400

gtksourceview5 (5.11.1-2) unstable; urgency=medium

  * Have libgtksourceview-5-dev depend on libsysprof-capture-4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 12:33:47 -0500

gtksourceview5 (5.11.1-1) unstable; urgency=medium

  * New upstream release
  * Update build option names
  * debian/libgtksourceview-5-0.symbols: Add new symbols
  * Add Build-Depends: libsysprof-capture-4-dev
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 15:18:17 -0500

gtksourceview5 (5.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:57:41 -0400

gtksourceview5 (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtksourceview-5.0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 14:46:01 -0400

gtksourceview5 (5.8.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:32:26 -0400

gtksourceview5 (5.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:05:34 -0400

gtksourceview5 (5.7.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.10 as suggested by upstream
  * debian/libgtksourceview-5-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 13:25:48 -0500

gtksourceview5 (5.7.1-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-5-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 15:14:56 -0500

gtksourceview5 (5.6.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Run tests with GTK_A11Y=none instead of NO_AT_BRIDGE=1 (since this is gtk4)

  [ Debian Janitor ]
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Jan 2023 15:13:23 -0500

gtksourceview5 (5.6.1-1) unstable; urgency=medium

  * New upstream release (LP: #1992511)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 16:20:22 -0400

gtksourceview5 (5.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gtk4 & glib
  * debian/libgtksourceview-5.0.symbols: Update
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 16:31:08 -0400

gtksourceview5 (5.5.1-3) unstable; urgency=medium

  * debian/patches/git_installed_tests.patch:
    - define one extra test as non suitable for installed tests,
      cherrypick from upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Sep 2022 09:28:50 +0200

gtksourceview5 (5.5.1-2) unstable; urgency=medium

  * Create a libgtksourceview-4-tests binary for installed tests and use
    those for autopkgtests.
  * debian/libgtksourceview-5-0.symbols:
    - refreshed for the new symbols from the git backport
  * debian/patches/git_installed_tests.patch:
    - cherry pick fixes to make the installed tests work

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Sep 2022 11:20:06 +0200

gtksourceview5 (5.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.60.0
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/libgtksourceview-5-0.symbols: Add new symbols
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 09:21:17 -0400

gtksourceview5 (5.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtksourceview-5-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 09:57:23 -0400

gtksourceview5 (5.4.1-3) unstable; urgency=medium

  * debian/rules: Fix build test timeout multiplier flag
  * Drop meson workaround patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 07:56:15 -0400

gtksourceview5 (5.4.1-2) unstable; urgency=medium

  * debian/rules: Increase build test timeout multiplier

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 04:23:37 -0400

gtksourceview5 (5.4.1-1) unstable; urgency=medium

  * New upstream release (LP: #1969848)
  * Add patch to work around meson bug 1008189

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 16:34:41 -0400

gtksourceview5 (5.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/libgtksourceview-5-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 20:27:10 -0400

gtksourceview5 (5.3.1-1) unstable; urgency=medium

  * New upstream release
  * Build with gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum glib and gobject-introspection
  * debian/control.in: Bump minimum meson
  * debian/libgtksourceview-5-0.symbols: Add new symbols
  * Cherry-pick patches to fix build test failure

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 07 Jan 2022 20:58:13 -0500

gtksourceview5 (5.2.0-2) unstable; urgency=medium

  * debian/rules: Fix meson build options
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 27 Nov 2021 16:38:50 -0500

gtksourceview5 (5.2.0-1) experimental; urgency=medium

  * New upstream release for gtk4 instead of gtk3
    - Renamed source package (Closes: #996609)
  * debian/libgtksourceview-5.0.symbols: Update
  * debian/control.in: Bump minimum meson & glib
  * debian/control.in: Drop obsolete Build-Depends: intltool, libgladeui-dev
  * debian/libgtksourceview-5-dev.install: glade catalog no longer provided
  * debian/libgtksourceview-5-common.install: Install icons directory

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Oct 2021 20:17:01 -0400

gtksourceview4 (4.8.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/rules: Set export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Sep 2021 19:34:20 -0400

gtksourceview4 (4.8.1-4) unstable; urgency=medium

  * Team upload
  * d/p/build-ensure-access-to-resources-in-corelib-build.patch:
    Add patch from upstream git to avoid FTBFS seen on s390x.
    Thanks to Adrian Bunk

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Aug 2021 19:03:59 +0100

gtksourceview4 (4.8.1-3) unstable; urgency=medium

  * Cherry-pick build-disable-Werror-for-incompatible-pointer-types.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 21:33:54 -0400

gtksourceview4 (4.8.1-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/watch: Watch for series 4 releases only
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 07:55:33 -0400

gtksourceview4 (4.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 10:13:56 +0100

gtksourceview4 (4.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2020 13:25:06 +0200

gtksourceview4 (4.7.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 16:30:21 +0200

gtksourceview4 (4.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 16:37:30 +0200

gtksourceview4 (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Mar 2020 13:30:31 +0100

gtksourceview4 (4.5.91-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-4-0.docs:
    - updated for the new README naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2020 10:37:45 +0100

gtksourceview4 (4.4.0-1) unstable; urgency=medium

  * New upstream release, remove patch included in the new version
  * debian/control.in:
    - build-depends on libfribidi-dev
    - updated glib and gtk requirements
  * debian/libgtksourceview-4-0.symbols:;
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 15:23:53 +0200

gtksourceview4 (4.3.1-2) experimental; urgency=medium

  * Correctly commit the .install change

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 16:48:17 +0200

gtksourceview4 (4.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on meson
  * debian/libgtksourceview-4-dev:
    - don't list the .a to install, meson doesn't create one
  * debian/patches/git_dtd_validation.patch:
    - backport an upstream patch to skip dtd validation, it's currently
      buggy and likely due to glade
  * debian/rules:
    - build without autoreconf, drop dh_autoreconf and dh_install/ overrides,
      those are not needed anymore when building without autools
    - don't build with -Wl,-Bsymbolic-functions otherwise tests fail on
      'cannot register existing type 'GtkSourceStyleScheme'' errors
    - updated build flag to the meson syntax

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 13:43:00 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgtksourceview-5-0`.
